#include <iostream>
using namespace std;
int main()
{
    int n,k,d,g=1;
    int c=0;
    cin>>n>>d>>k;
    for(int i=0;i<k;i++){
         c=c+g;
            g=g+d;
     if(g>n){
        g=g-n;
     }
    }
    c=c+g;
    cout<<c;
    return 0;
}
